NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Preferences::RoutingPath Class Reference

The RoutingPath object stores a set of path preferences. More...

Public Types

enum  AddPointsToSpline { AddPointsToSplineFalse, AddPointsToSplineTrue }
 Should points be added to existing spline when they are subdivided to preserve shape? More...
 
enum  AllowedCornerType {
  AllowedCornerTypeNone, AllowedCornerTypeBend, AllowedCornerTypeCope, AllowedCornerTypeMiter,
  AllowedCornerTypeSbend
}
 Describes the types of corners allowed in a routing application. More...
 
enum  ChainMethod {
  ChainMethodNoBranch, ChainMethodContinuous, ChainMethodTangent, ChainMethodCycle,
  ChainMethodMinDist, ChainMethodMaxDist
}
 Path curve chaining methods. More...
 
enum  ConfirmBranchSel { ConfirmBranchSelFalse, ConfirmBranchSelTrue }
 Should a branch selection confirmation dialog be show during Path selection? More...
 
enum  ContinueUpdOnError { ContinueUpdOnErrorFalse, ContinueUpdOnErrorTrue }
 Should fixed length splines ignore length constraint violations and update? More...
 
enum  CreateSlopeConstraints { CreateSlopeConstraintsFalse, CreateSlopeConstraintsTrue }
 Create slope associativity constraints during line path creation [from ports only]. More...
 
enum  CreateSmartRcps { CreateSmartRcpsFalse, CreateSmartRcpsTrue }
 Should Smart RCPs be created during path creation in Create Path? More...
 
enum  CreateTangency { CreateTangencyFalse, CreateTangencyTrue }
 Should new splines form tangencies with existing splines when they're created? More...
 
enum  CurveType { CurveTypeLine, CurveTypeArc, CurveTypeSpline }
 Describes the types of curves allowed in a routing application. More...
 
enum  DefaultCornerType { DefaultCornerTypeNone = -1, DefaultCornerTypeBend, DefaultCornerTypeMiter, DefaultCornerTypeBendTable }
 Describes the types of corners allowed in a routing application. More...
 
enum  DisplayObject { DisplayObjectFalse, DisplayObjectTrue }
 Display a certain routing object? More...
 
enum  MergeDupRcps { MergeDupRcpsFalse, MergeDupRcpsTrue }
 Should duplicate RCPs be merged after a Transform [Move or Copy] operation? More...
 
enum  OccChainable { OccChainableFalse, OccChainableTrue }
 Chain occurrences of curves ? [i.e. More...
 
enum  RadiusMethod { RadiusMethodRadius, RadiusMethodRatio, RadiusMethodTable, RadiusMethodInnerRadius }
 Describes method used to determine bend radius on a bend or sbend corner. More...
 
enum  RadiusUnits { RadiusUnitsNone, RadiusUnitsInches, RadiusUnitsMillimeters }
 Describes units of specified radius value NXOpen::Preferences::RoutingPath::RadiusMethodRadius only. More...
 

Public Member Functions

std::vector
< NXOpen::Preferences::RoutingPath::AllowedCornerType
GetAllowedCorners ()
 Query the types of corners allowed in an application view. More...
 
std::vector
< NXOpen::Preferences::RoutingPath::CurveType
GetAllowedCurves ()
 Query the types of curves allowed in an application view. More...
 
double GetBendRadius ()
 Needs a work part and a loaded applicaiton view. More...
 
NXOpen::Preferences::RoutingPath::RadiusMethod GetBendRadiusMethod ()
 Query wether the default corner should use bend ratio. More...
 
NXOpen::Preferences::RoutingPath::RadiusUnits GetBendRadiusUnits ()
 Query bend radius units stored in path preferences. More...
 
double GetBendRatio ()
 Query default bend ratio. More...
 
NXString GetBendTable ()
 Query default bend table. More...
 
std::vector< NXStringGetBendTableFilenames ()
 Query loaded bend table filenames. More...
 
double GetBendTableRadius (const NXString &bendTableName, double diameter)
 Query bend radius from a loaded bend table. More...
 
double GetBendTableRadius (const char *bendTableName, double diameter)
 Query bend radius from a loaded bend table. More...
 
std::vector< NXStringGetBendTables ()
 Query loaded bend table names. More...
 
std::vector
< NXOpen::Preferences::RoutingPath::CurveType
GetChainableCurveTypes ()
 Query all the types of chainable curve types. More...
 
NXOpen::Preferences::RoutingPath::ConfirmBranchSel GetConfirmBranchSelection ()
 Confirm branch selection during Path selection? More...
 
NXOpen::Preferences::RoutingPath::ContinueUpdOnError GetContinueUpdateOnError ()
 Query default down direction for fixed length splines. More...
 
NXOpen::Preferences::RoutingPath::AddPointsToSpline GetCreateNewPointsOnSubdivide ()
 Add points to subdivided splines to maintain shape? More...
 
NXOpen::Preferences::RoutingPath::CreateSlopeConstraints GetCreateSlopeConstraints ()
 Create slope constraints during line path creation to and from fitting ports? More...
 
NXOpen::Preferences::RoutingPath::CreateSmartRcps GetCreateSmartRcps ()
 Create smart RCPs during path creation? More...
 
NXOpen::Preferences::RoutingPath::CreateTangency GetCreateSplineTangency ()
 Create tangency between splines? More...
 
NXOpen::Preferences::RoutingPath::ChainMethod GetCurveChainingMethod ()
 Query path curve chaining method. More...
 
NXOpen::Preferences::RoutingPath::DefaultCornerType GetDefaultCorner ()
 Query the default corner type in an application view. More...
 
NXOpen::Preferences::RoutingPath::DisplayObject GetDisplayAnchors ()
 Display anchors? More...
 
NXOpen::Preferences::RoutingPath::DisplayObject GetDisplayConnectedPorts ()
 Display connected ports? More...
 
double GetDisplayPortLength ()
 Displayed port length. More...
 
NXOpen::Preferences::RoutingPath::DisplayObject GetDisplayPorts ()
 Display ports? More...
 
NXOpen::Preferences::RoutingPath::DisplayObject GetDisplayRcps ()
 Display RCPs? More...
 
NXOpen::Preferences::RoutingPath::DisplayObject GetDisplaySegmentConstraints ()
 Display segment constraints? More...
 
NXOpen::Preferences::RoutingPath::CurveType GetHealPathCurveType ()
 Heal Path curve type. More...
 
NXOpen::Preferences::RoutingPath::MergeDupRcps GetMergeDuplicateRcps ()
 Merge duplicate RCPs after a Transform [Move or Copy] operation? More...
 
NXOpen::Preferences::RoutingPath::OccChainable GetOccurrenceChainable ()
 Query if curve occurrences [curves not in the work part] are chainable. More...
 
NXString GetStockOffsetExpression ()
 Query default stock offset expression used by Create Path and Create Stock Offset Port [via Qualify Part]. More...
 
NXString LoadBendTableFile (const NXString &bendTableFilename)
 Load a specified bend table file. More...
 
NXString LoadBendTableFile (const char *bendTableFilename)
 Load a specified bend table file. More...
 
void SetAllowedCorners (const std::vector< NXOpen::Preferences::RoutingPath::AllowedCornerType > &allowedCorners)
 
Created in NX4.0.0. More...
 
void SetAllowedCurves (const std::vector< NXOpen::Preferences::RoutingPath::CurveType > &allowedCurves)
 
Created in NX4.0.0. More...
 
void SetBendRadius (double bendRadius)
 Needs a work part and a loaded applicaiton view. More...
 
void SetBendRadiusMethod (NXOpen::Preferences::RoutingPath::RadiusMethod radiusMethod)
 Set whether the default corner should use bend ratio. More...
 
void SetBendRadiusUnits (NXOpen::Preferences::RoutingPath::RadiusUnits radiusUnits)
 
Created in NX4.0.0. More...
 
void SetBendRatio (double bendRatio)
 
Created in NX4.0.0. More...
 
void SetBendTable (const NXString &bendTableName)
 
Created in NX4.0.0. More...
 
void SetBendTable (const char *bendTableName)
 
Created in NX4.0.0. More...
 
void SetChainableCurveTypes (const std::vector< NXOpen::Preferences::RoutingPath::CurveType > &chainableCurveTypes)
 
Created in NX4.0.0. More...
 
void SetConfirmBranchSelection (NXOpen::Preferences::RoutingPath::ConfirmBranchSel confirmBranchSel)
 
Created in NX4.0.0. More...
 
void SetContinueUpdateOnError (NXOpen::Preferences::RoutingPath::ContinueUpdOnError update)
 
Created in NX4.0.0. More...
 
void SetCreateNewPointsOnSubdivide (NXOpen::Preferences::RoutingPath::AddPointsToSpline addPoints)
 
Created in NX6.0.0. More...
 
void SetCreateSlopeConstraints (NXOpen::Preferences::RoutingPath::CreateSlopeConstraints createSlopeConstraints)
 
Created in NX4.0.0. More...
 
void SetCreateSmartRcps (NXOpen::Preferences::RoutingPath::CreateSmartRcps createSmart)
 
Created in NX4.0.0. More...
 
void SetCreateSplineTangency (NXOpen::Preferences::RoutingPath::CreateTangency applyTangency)
 
Created in NX6.0.0. More...
 
void SetCurveChainingMethod (NXOpen::Preferences::RoutingPath::ChainMethod chainMethod)
 
Created in NX4.0.0. More...
 
void SetDefaultCorner (NXOpen::Preferences::RoutingPath::DefaultCornerType defaultCorner)
 
Created in NX4.0.0. More...
 
void SetDisplayAnchors (NXOpen::Preferences::RoutingPath::DisplayObject displayAnchors)
 
Created in NX4.0.0. More...
 
void SetDisplayConnectedPorts (NXOpen::Preferences::RoutingPath::DisplayObject displayConnectedPorts)
 Display connected ports in the model
Created in NX8.0.0. More...
 
void SetDisplayPortLength (double displayPortLength)
 
Created in NX4.0.0. More...
 
void SetDisplayPorts (NXOpen::Preferences::RoutingPath::DisplayObject displayPorts)
 Display ports in the model?
Created in NX4.0.0. More...
 
void SetDisplayRcps (NXOpen::Preferences::RoutingPath::DisplayObject displayRcps)
 
Created in NX4.0.0. More...
 
void SetDisplaySegmentConstraints (NXOpen::Preferences::RoutingPath::DisplayObject displayConstraints)
 
Created in NX4.0.0. More...
 
void SetHealPathCurveType (NXOpen::Preferences::RoutingPath::CurveType healPathCurveType)
 
Created in NX5.0.0. More...
 
void SetMergeDuplicateRcps (NXOpen::Preferences::RoutingPath::MergeDupRcps mergeDuplicates)
 
Created in NX4.0.0. More...
 
void SetOccurrenceChainable (NXOpen::Preferences::RoutingPath::OccChainable occChainable)
 
Created in NX4.0.0. More...
 
void SetStockOffsetExpression (const NXString &stockOffsetExp)
 
Created in NX4.0.0. More...
 
void SetStockOffsetExpression (const char *stockOffsetExp)
 
Created in NX4.0.0. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

The RoutingPath object stores a set of path preferences.


To obtain an instance of this class, refer to NXOpen::Preferences::RoutingApplicationView

Created in NX4.0.0.

Member Enumeration Documentation

Should points be added to existing spline when they are subdivided to preserve shape?

Enumerator
AddPointsToSplineFalse 

Do not merge duplicate RCPs.

AddPointsToSplineTrue 

Merge duplicate RCPs.

Describes the types of corners allowed in a routing application.

Enumerator
AllowedCornerTypeNone 

UF_ROUTE_AV_CORNERS_NONE.

AllowedCornerTypeBend 

UF_ROUTE_AV_CORNERS_BEND.

AllowedCornerTypeCope 

UF_ROUTE_AV_CORNERS_COPE.

AllowedCornerTypeMiter 

UF_ROUTE_AV_CORNERS_MITER.

AllowedCornerTypeSbend 

UF_ROUTE_AV_CORNERS_SBEND.

Path curve chaining methods.

Enumerator
ChainMethodNoBranch 

Curves must be mono-connected.

ChainMethodContinuous 

Tangents must match at each connection.

ChainMethodTangent 

Use curve with closest tangent when searching.

ChainMethodCycle 

Return all chains.

ChainMethodMinDist 

Chain with minimum path length.

ChainMethodMaxDist 

Chain with maximum path length.

Should a branch selection confirmation dialog be show during Path selection?

Enumerator
ConfirmBranchSelFalse 

Do not confirm branch selection.

ConfirmBranchSelTrue 

Confirm branch selection.

Should fixed length splines ignore length constraint violations and update?

Enumerator
ContinueUpdOnErrorFalse 

false

ContinueUpdOnErrorTrue 

true

Create slope associativity constraints during line path creation [from ports only].

Enumerator
CreateSlopeConstraintsFalse 

false

CreateSlopeConstraintsTrue 

true

Should Smart RCPs be created during path creation in Create Path?

Enumerator
CreateSmartRcpsFalse 

Do not create smart RCPs.

CreateSmartRcpsTrue 

Create smart RCPs.

Should new splines form tangencies with existing splines when they're created?

Enumerator
CreateTangencyFalse 

Do not merge duplicate RCPs.

CreateTangencyTrue 

Merge duplicate RCPs.

Describes the types of curves allowed in a routing application.

Enumerator
CurveTypeLine 

UF_ROUTE_AV_CURVES_LINES.

CurveTypeArc 

UF_ROUTE_AV_CURVES_ARCS.

CurveTypeSpline 

UF_ROUTE_AV_CURVES_SPLINES.

Describes the types of corners allowed in a routing application.

Enumerator
DefaultCornerTypeNone 

No Corner.

DefaultCornerTypeBend 

Bend Corner.

DefaultCornerTypeMiter 

Miter Corner.

DefaultCornerTypeBendTable 

Not really a corner type.

Used to indicate use of bend table in conjunction with a Bend corner

Display a certain routing object?

Enumerator
DisplayObjectFalse 

false

DisplayObjectTrue 

true

Should duplicate RCPs be merged after a Transform [Move or Copy] operation?

Enumerator
MergeDupRcpsFalse 

Do not merge duplicate RCPs.

MergeDupRcpsTrue 

Merge duplicate RCPs.

Chain occurrences of curves ? [i.e.

curves not in the work part]

Enumerator
OccChainableFalse 

false

OccChainableTrue 

true

Describes method used to determine bend radius on a bend or sbend corner.

Enumerator
RadiusMethodRadius 

Use specified radius.

RadiusMethodRatio 

Use ratio to stock diameter to determine radius.

RadiusMethodTable 

Use radius obtained from a bend table lookup.

RadiusMethodInnerRadius 

Use inner radius.

Describes units of specified radius value NXOpen::Preferences::RoutingPath::RadiusMethodRadius only.

Enumerator
RadiusUnitsNone 

Unspecified.

Use units of part file.

RadiusUnitsInches 

Use inch units.

RadiusUnitsMillimeters 

Use metric (mm) units.

Member Function Documentation

std::vector<NXOpen::Preferences::RoutingPath::AllowedCornerType> NXOpen::Preferences::RoutingPath::GetAllowedCorners ( )

Query the types of corners allowed in an application view.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
std::vector<NXOpen::Preferences::RoutingPath::CurveType> NXOpen::Preferences::RoutingPath::GetAllowedCurves ( )

Query the types of curves allowed in an application view.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
double NXOpen::Preferences::RoutingPath::GetBendRadius ( )

Needs a work part and a loaded applicaiton view.

Radius units are converted to work part units automatically. Returns -1 and quits if input requirements are not met.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::RadiusMethod NXOpen::Preferences::RoutingPath::GetBendRadiusMethod ( )

Query wether the default corner should use bend ratio.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::RadiusUnits NXOpen::Preferences::RoutingPath::GetBendRadiusUnits ( )

Query bend radius units stored in path preferences.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
double NXOpen::Preferences::RoutingPath::GetBendRatio ( )

Query default bend ratio.

Used when default corner uses bend ratio method

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXString NXOpen::Preferences::RoutingPath::GetBendTable ( )

Query default bend table.

Used when default corner uses bend table method

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
std::vector<NXString> NXOpen::Preferences::RoutingPath::GetBendTableFilenames ( )

Query loaded bend table filenames.

A bend table file can contain one or more named bend tables. Loading a bend table file loads all its constituent tables into memory.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
double NXOpen::Preferences::RoutingPath::GetBendTableRadius ( const NXString bendTableName,
double  diameter 
)

Query bend radius from a loaded bend table.

Returns a radius of -1 if input table is not loaded

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
bendTableNamebend table name
diameterdiameter
double NXOpen::Preferences::RoutingPath::GetBendTableRadius ( const char *  bendTableName,
double  diameter 
)

Query bend radius from a loaded bend table.

Returns a radius of -1 if input table is not loaded

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
bendTableNamebend table name
diameterdiameter
std::vector<NXString> NXOpen::Preferences::RoutingPath::GetBendTables ( )

Query loaded bend table names.

A bend table maps a stock outer diameter to a radius appropriate for a certain bending machine

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
std::vector<NXOpen::Preferences::RoutingPath::CurveType> NXOpen::Preferences::RoutingPath::GetChainableCurveTypes ( )

Query all the types of chainable curve types.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::ConfirmBranchSel NXOpen::Preferences::RoutingPath::GetConfirmBranchSelection ( )

Confirm branch selection during Path selection?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::ContinueUpdOnError NXOpen::Preferences::RoutingPath::GetContinueUpdateOnError ( )

Query default down direction for fixed length splines.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::AddPointsToSpline NXOpen::Preferences::RoutingPath::GetCreateNewPointsOnSubdivide ( )

Add points to subdivided splines to maintain shape?

Returns

Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::CreateSlopeConstraints NXOpen::Preferences::RoutingPath::GetCreateSlopeConstraints ( )

Create slope constraints during line path creation to and from fitting ports?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::CreateSmartRcps NXOpen::Preferences::RoutingPath::GetCreateSmartRcps ( )

Create smart RCPs during path creation?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::CreateTangency NXOpen::Preferences::RoutingPath::GetCreateSplineTangency ( )

Create tangency between splines?

Returns

Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::ChainMethod NXOpen::Preferences::RoutingPath::GetCurveChainingMethod ( )

Query path curve chaining method.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::DefaultCornerType NXOpen::Preferences::RoutingPath::GetDefaultCorner ( )

Query the default corner type in an application view.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::DisplayObject NXOpen::Preferences::RoutingPath::GetDisplayAnchors ( )

Display anchors?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::DisplayObject NXOpen::Preferences::RoutingPath::GetDisplayConnectedPorts ( )

Display connected ports?

Returns

Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")
double NXOpen::Preferences::RoutingPath::GetDisplayPortLength ( )

Displayed port length.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::DisplayObject NXOpen::Preferences::RoutingPath::GetDisplayPorts ( )

Display ports?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::DisplayObject NXOpen::Preferences::RoutingPath::GetDisplayRcps ( )

Display RCPs?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::DisplayObject NXOpen::Preferences::RoutingPath::GetDisplaySegmentConstraints ( )

Display segment constraints?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::CurveType NXOpen::Preferences::RoutingPath::GetHealPathCurveType ( )

Heal Path curve type.

Returns

Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::MergeDupRcps NXOpen::Preferences::RoutingPath::GetMergeDuplicateRcps ( )

Merge duplicate RCPs after a Transform [Move or Copy] operation?

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXOpen::Preferences::RoutingPath::OccChainable NXOpen::Preferences::RoutingPath::GetOccurrenceChainable ( )

Query if curve occurrences [curves not in the work part] are chainable.

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXString NXOpen::Preferences::RoutingPath::GetStockOffsetExpression ( )

Query default stock offset expression used by Create Path and Create Stock Offset Port [via Qualify Part].

Returns

Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
NXString NXOpen::Preferences::RoutingPath::LoadBendTableFile ( const NXString bendTableFilename)

Load a specified bend table file.

Returns
Descriptive error text, when appropriate
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
bendTableFilenamebend table filename
NXString NXOpen::Preferences::RoutingPath::LoadBendTableFile ( const char *  bendTableFilename)

Load a specified bend table file.

Returns
Descriptive error text, when appropriate
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
bendTableFilenamebend table filename
void NXOpen::Preferences::RoutingPath::SetAllowedCorners ( const std::vector< NXOpen::Preferences::RoutingPath::AllowedCornerType > &  allowedCorners)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
allowedCornersallowed corners
void NXOpen::Preferences::RoutingPath::SetAllowedCurves ( const std::vector< NXOpen::Preferences::RoutingPath::CurveType > &  allowedCurves)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
allowedCurvesallowed curves
void NXOpen::Preferences::RoutingPath::SetBendRadius ( double  bendRadius)

Needs a work part and a loaded applicaiton view.

Radius units are assumed to be work part units and are set automatically. Returns -1 and quits if input requirements are not met.
Created in NX4.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
bendRadiusbend radius
void NXOpen::Preferences::RoutingPath::SetBendRadiusMethod ( NXOpen::Preferences::RoutingPath::RadiusMethod  radiusMethod)

Set whether the default corner should use bend ratio.


Created in NX5.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
radiusMethodradius method
void NXOpen::Preferences::RoutingPath::SetBendRadiusUnits ( NXOpen::Preferences::RoutingPath::RadiusUnits  radiusUnits)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
radiusUnitsradius units
void NXOpen::Preferences::RoutingPath::SetBendRatio ( double  bendRatio)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
bendRatiobend ratio
void NXOpen::Preferences::RoutingPath::SetBendTable ( const NXString bendTableName)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
bendTableNamebend table name
void NXOpen::Preferences::RoutingPath::SetBendTable ( const char *  bendTableName)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
bendTableNamebend table name
void NXOpen::Preferences::RoutingPath::SetChainableCurveTypes ( const std::vector< NXOpen::Preferences::RoutingPath::CurveType > &  chainableCurveTypes)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
chainableCurveTypeschainable curve types
void NXOpen::Preferences::RoutingPath::SetConfirmBranchSelection ( NXOpen::Preferences::RoutingPath::ConfirmBranchSel  confirmBranchSel)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
confirmBranchSelconfirm branch sel
void NXOpen::Preferences::RoutingPath::SetContinueUpdateOnError ( NXOpen::Preferences::RoutingPath::ContinueUpdOnError  update)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
updateupdate
void NXOpen::Preferences::RoutingPath::SetCreateNewPointsOnSubdivide ( NXOpen::Preferences::RoutingPath::AddPointsToSpline  addPoints)


Created in NX6.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
addPointsadd points
void NXOpen::Preferences::RoutingPath::SetCreateSlopeConstraints ( NXOpen::Preferences::RoutingPath::CreateSlopeConstraints  createSlopeConstraints)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
createSlopeConstraintscreate slope constraints
void NXOpen::Preferences::RoutingPath::SetCreateSmartRcps ( NXOpen::Preferences::RoutingPath::CreateSmartRcps  createSmart)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
createSmartcreate smart
void NXOpen::Preferences::RoutingPath::SetCreateSplineTangency ( NXOpen::Preferences::RoutingPath::CreateTangency  applyTangency)


Created in NX6.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
applyTangencyapply tangency
void NXOpen::Preferences::RoutingPath::SetCurveChainingMethod ( NXOpen::Preferences::RoutingPath::ChainMethod  chainMethod)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
chainMethodchain method
void NXOpen::Preferences::RoutingPath::SetDefaultCorner ( NXOpen::Preferences::RoutingPath::DefaultCornerType  defaultCorner)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
defaultCornerdefault corner
void NXOpen::Preferences::RoutingPath::SetDisplayAnchors ( NXOpen::Preferences::RoutingPath::DisplayObject  displayAnchors)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
displayAnchorsdisplay anchors
void NXOpen::Preferences::RoutingPath::SetDisplayConnectedPorts ( NXOpen::Preferences::RoutingPath::DisplayObject  displayConnectedPorts)

Display connected ports in the model
Created in NX8.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
displayConnectedPortsdisplay connected ports
void NXOpen::Preferences::RoutingPath::SetDisplayPortLength ( double  displayPortLength)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
displayPortLengthdisplay port length
void NXOpen::Preferences::RoutingPath::SetDisplayPorts ( NXOpen::Preferences::RoutingPath::DisplayObject  displayPorts)

Display ports in the model?
Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
displayPortsdisplay ports
void NXOpen::Preferences::RoutingPath::SetDisplayRcps ( NXOpen::Preferences::RoutingPath::DisplayObject  displayRcps)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
displayRcpsdisplay rcps
void NXOpen::Preferences::RoutingPath::SetDisplaySegmentConstraints ( NXOpen::Preferences::RoutingPath::DisplayObject  displayConstraints)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
displayConstraintsdisplay constraints
void NXOpen::Preferences::RoutingPath::SetHealPathCurveType ( NXOpen::Preferences::RoutingPath::CurveType  healPathCurveType)


Created in NX5.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
healPathCurveTypeheal path curve type
void NXOpen::Preferences::RoutingPath::SetMergeDuplicateRcps ( NXOpen::Preferences::RoutingPath::MergeDupRcps  mergeDuplicates)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
mergeDuplicatesmerge duplicates
void NXOpen::Preferences::RoutingPath::SetOccurrenceChainable ( NXOpen::Preferences::RoutingPath::OccChainable  occChainable)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
occChainableocc chainable
void NXOpen::Preferences::RoutingPath::SetStockOffsetExpression ( const NXString stockOffsetExp)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
stockOffsetExpstock offset exp
void NXOpen::Preferences::RoutingPath::SetStockOffsetExpression ( const char *  stockOffsetExp)


Created in NX4.0.0.



License requirements : routing_base ("Routing Basic")

Parameters
stockOffsetExpstock offset exp
tag_t NXOpen::Preferences::RoutingPath::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.